
Ryzom - Bug # 62

Status: Closed Priority: High
Author: kervala Category: NeL: General
Created: 09/09/2008 Assignee: kervala
Updated: 09/30/2010 Due date:
Subject: Crash in CTextureBump destructor
Description

When going into CTextureBump destructor, _NameToNFHandle (line 332 of src/3d/texture_bump.cpp) is invalid so
_NameToNFHandle->second.NumRefs is generating an exception.

It should not occur since neither std::map erase and insert are invalidating iterators (VC++ STL specific case ?).

History
#1 - 09/09/2008 02:20 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r252.

#2 - 09/09/2008 02:24 pm - kervala

The fix removes the use of the _NameToNFHandle variable for storing the iterator.

Instead, it's looking for the right iterator in destructor, so it's sure it's correct.

#3 - 05/11/2009 02:38 pm - sfb
- Status changed from Resolved to Closed

#4 - 09/29/2010 09:09 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (3d)
- Target version deleted (Version 0.7.0)

#5 - 09/30/2010 11:29 am - kervala
- Category set to NeL: General
- Target version set to Version 0.7.0
